Search for test

  1. Search 7.x for test
  2. Search 9.5.x for test
  3. Search 8.9.x for test
  4. Search 10.3.x for test
  5. Other projects

Exact matches

These are exact matches according to your search
Title Object type File name Summary
Test class core/modules/media/tests/modules/media_test_source/src/Plugin/media/Source/Test.php Provides test media source.
Test class core/modules/system/tests/modules/test_page_test/src/Controller/Test.php Defines a test controller for page titles.

All search results

Title Object type File name Summary
WorkspacePublisherTest class core/modules/workspaces/tests/src/Kernel/WorkspacePublisherTest.php Tests workspace publishing.
WorkspacePublisherTest.php file core/modules/workspaces/tests/src/Kernel/WorkspacePublisherTest.php
WorkspacePublisherTest::$entityTypeManager property core/modules/workspaces/tests/src/Kernel/WorkspacePublisherTest.php The entity type manager.
WorkspacePublisherTest::$modules property core/modules/workspaces/tests/src/Kernel/WorkspacePublisherTest.php Modules to install.
WorkspacePublisherTest::$nodePresaveCount property core/modules/workspaces/tests/src/Kernel/WorkspacePublisherTest.php The number of times node_presave has fired since arming.
WorkspacePublisherTest::$throwOnNodePresaveClass property core/modules/workspaces/tests/src/Kernel/WorkspacePublisherTest.php The class to throw during node presave, or empty string to skip.
WorkspacePublisherTest::nodePresave function core/modules/workspaces/tests/src/Kernel/WorkspacePublisherTest.php Implements hook_ENTITY_TYPE_presave() for the 'node' entity type.
WorkspacePublisherTest::providerPublishThrowableRollback function core/modules/workspaces/tests/src/Kernel/WorkspacePublisherTest.php Data provider for ::testPublishThrowableRollback().
WorkspacePublisherTest::register function core/modules/workspaces/tests/src/Kernel/WorkspacePublisherTest.php Registers test-specific services.
WorkspacePublisherTest::setUp function core/modules/workspaces/tests/src/Kernel/WorkspacePublisherTest.php
WorkspacePublisherTest::testPublishingChangedTime function core/modules/workspaces/tests/src/Kernel/WorkspacePublisherTest.php Tests that publishing a workspace updates the changed time of its entities.
WorkspacePublisherTest::testPublishThrowableRollback function core/modules/workspaces/tests/src/Kernel/WorkspacePublisherTest.php Tests that a throwable during publish is logged and rolls back the save.
WorkspacePublisherTest::testSubmitFormWithException function core/modules/workspaces/tests/src/Kernel/WorkspacePublisherTest.php Tests submit form with exception.
WorkspaceQueryParameterNegotiatorTest class core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Tests the query parameter workspace negotiator.
WorkspaceQueryParameterNegotiatorTest.php file core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php
WorkspaceQueryParameterNegotiatorTest::$modules property core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Modules to install.
WorkspaceQueryParameterNegotiatorTest::providerTestWorkspaceQueryParameter function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Data provider for testWorkspaceQueryParameter.
WorkspaceQueryParameterNegotiatorTest::setUp function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php
WorkspaceQueryParameterNegotiatorTest::testWorkspaceQueryParameter function core/modules/workspaces/tests/src/Kernel/WorkspaceQueryParameterNegotiatorTest.php Tests workspace query parameter.
WorkspaceRequestSubscriberTest class core/modules/workspaces/tests/src/Unit/WorkspaceRequestSubscriberTest.php Tests Drupal\workspaces\EventSubscriber\WorkspaceRequestSubscriber.
WorkspaceRequestSubscriberTest.php file core/modules/workspaces/tests/src/Unit/WorkspaceRequestSubscriberTest.php
WorkspaceRequestSubscriberTest::$workspaceManager property core/modules/workspaces/tests/src/Unit/WorkspaceRequestSubscriberTest.php The workspace manager.
WorkspaceRequestSubscriberTest::setUp function core/modules/workspaces/tests/src/Unit/WorkspaceRequestSubscriberTest.php
WorkspaceRequestSubscriberTest::testOnKernelRequestWithCacheableRouteProvider function core/modules/workspaces/tests/src/Unit/WorkspaceRequestSubscriberTest.php Tests on kernel request with cacheable route provider.
WorkspaceRequestSubscriberTest::testOnKernelRequestWithoutCacheableRouteProvider function core/modules/workspaces/tests/src/Unit/WorkspaceRequestSubscriberTest.php Tests on kernel request without cacheable route provider.
WorkspaceResourceTestBase class core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php Base class for workspace EntityResource tests.
WorkspaceResourceTestBase.php file core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php
WorkspaceResourceTestBase::$entityTypeId property core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php The tested entity type.
WorkspaceResourceTestBase::$firstCreatedEntityId property core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php The entity ID for the first created entity in doTestPost().
WorkspaceResourceTestBase::$modules property core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php Modules to install.
WorkspaceResourceTestBase::$patchProtectedFieldNames property core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php The fields that are protected against modification during PATCH requests.
WorkspaceResourceTestBase::$secondCreatedEntityId property core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php The entity ID for the second created entity in doTestPost().
WorkspaceResourceTestBase::$uniqueFieldNames property core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php A list of fields that need a unique value.
WorkspaceResourceTestBase::createAnotherEntity function core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php Creates another entity to be tested.
WorkspaceResourceTestBase::createEntity function core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php Creates the entity to be tested.
WorkspaceResourceTestBase::getExpectedCacheContexts function core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php The expected cache contexts for the GET/HEAD response of the test entity.
WorkspaceResourceTestBase::getExpectedNormalizedEntity function core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php Returns the expected normalization of the entity.
WorkspaceResourceTestBase::getExpectedUnauthorizedAccessMessage function core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php Return the expected error message.
WorkspaceResourceTestBase::getModifiedEntityForPostTesting function core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php Gets the normalized POST entity with random values for its unique fields.
WorkspaceResourceTestBase::getNormalizedPatchEntity function core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php Returns the normalized PATCH entity.
WorkspaceResourceTestBase::getNormalizedPostEntity function core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php Returns the normalized POST entity.
WorkspaceResourceTestBase::setUpAuthorization function core/modules/workspaces/tests/src/Functional/Rest/WorkspaceResourceTestBase.php Sets up the necessary authorization.
WorkspacesContentModerationStateTest class core/modules/content_moderation/tests/src/Kernel/WorkspacesContentModerationStateTest.php Tests that Workspaces and Content Moderation work together properly.
WorkspacesContentModerationStateTest.php file core/modules/content_moderation/tests/src/Kernel/WorkspacesContentModerationStateTest.php
WorkspacesContentModerationStateTest::$revEntityTypeId property core/modules/content_moderation/tests/src/Kernel/WorkspacesContentModerationStateTest.php The ID of the revisionable entity type used in the tests.
WorkspacesContentModerationStateTest::addEntityTypeAndBundleToWorkflow function core/modules/content_moderation/tests/src/Kernel/WorkspacesContentModerationStateTest.php Adds an entity type ID / bundle ID to the given workflow.
WorkspacesContentModerationStateTest::assertDefaultRevision function core/modules/content_moderation/tests/src/Kernel/WorkspacesContentModerationStateTest.php Checks the default revision ID and publishing status for an entity.
WorkspacesContentModerationStateTest::basicModerationTestCases function core/modules/content_moderation/tests/src/Kernel/WorkspacesContentModerationStateTest.php Test cases for basic moderation test.
WorkspacesContentModerationStateTest::createContentType function core/modules/content_moderation/tests/src/Kernel/WorkspacesContentModerationStateTest.php Creates a custom content type based on default settings.
WorkspacesContentModerationStateTest::createEditorialWorkflow function core/modules/content_moderation/tests/src/Kernel/WorkspacesContentModerationStateTest.php Creates the editorial workflow.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.